#2672 draw functions on 5.31.2 broken

None
closed
nobody
None
5
2014-01-10
2014-01-08
raghu char
No

Tried drawdf from: http://www.netris.org/~mhw/maxima/drawdf-demo.html
I have attached the screen shot of the error reported, with debug_info() captured
I have windows 7 home premium
thanx

raghu

1 Attachments

Related

Bugs: #2672

Discussion

  • I couldn't replicate this error message.

    Does it work with drawdf, instead of wxdrawdf?

     
    • raghu  char
      raghu char
      2014-01-09

      Mario,
      thank you for your prompt reply, I should have mentioned yesterday that
      none of the functions
      from the draw package work for me, plot & wxplot functions seem to work,
      is my draw package corrupt?, if so would you point me to where i can get a
      new one?.
      i am attaching a screen shot of the errors i get

      thanx
      raghu

      On Thu, 09 Jan 2014 03:08:24 +0530, Mario Rodriguez Riotorto
      riotorto@users.sf.net wrote:

      I couldn't replicate this error message.

      Does it work with drawdf, instead of wxdrawdf?

      [bugs:#2672] draw functions on 5.31.2 broken

      Status: open
      Created: Wed Jan 08, 2014 06:30 AM UTC by raghu char
      Last Updated: Wed Jan 08, 2014 06:30 AM UTC
      Owner: nobody

      Tried drawdf from: http://www.netris.org/~mhw/maxima/drawdf-demo.html
      I have attached the screen shot of the error reported, with debug_info()
      captured
      I have windows 7 home premium
      thanx

      raghu

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/maxima/bugs/2672/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      --
      Regards raghu

       

      Related

      Bugs: #2672

      Attachments
  • raghu,

    Your syntax is not correct for draw2d. Try the following:

    draw2d(explicit(sin(x), x, 0, 2*%pi)) $

    Have you tried other interfaces, like xmaxima, wxmaxima, or command line?. I see you are working with emacs, and we should discard problems with the interfaces.

    You can download the latest version of draw from the repository:

    https://sourceforge.net/p/maxima/code/ci/master/tree/share/draw

    --
    Mario

     
    • raghu  char
      raghu char
      2014-01-10

      Mario,

      Tried your syntax in : emacs(imaxima), x maxima & wxMaxima 13.04.2
      error reported is:
      " Maxima encountered a Lisp error:
      Error in PROGN [or a callee]: Caught fatal error [memory may be damaged]
      Automatically continuing.
      To enable the Lisp debugger set debugger-hook to nil."

      in all interfaces.

      On Fri, 10 Jan 2014 04:13:11 +0530, Mario Rodriguez Riotorto
      riotorto@users.sf.net wrote:

      raghu,

      Your syntax is not correct for draw2d. Try the following:

      draw2d(explicit(sin(x), x, 0, 2*%pi)) $

      Have you tried other interfaces, like xmaxima, wxmaxima, or command
      line?. I see you are working with emacs, and >we should discard problems
      with the interfaces.

      You can download the latest version of draw from the repository:

      https://sourceforge.net/p/maxima/code/ci/master/tree/share/draw

      --
      Mario

      [bugs:#2672] draw functions on 5.31.2 broken

      Status: open
      Created: Wed Jan 08, 2014 06:30 AM UTC by raghu char
      Last Updated: Wed Jan 08, 2014 09:38 PM UTC
      Owner: nobody

      Tried drawdf from: http://www.netris.org/~mhw/maxima/drawdf-demo.html
      I have attached the screen shot of the error reported, with debug_info()
      captured
      I have windows 7 home premium
      thanx

      raghu

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/maxima/bugs/2672/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      --
      Regards raghu

       

      Related

      Bugs: #2672

      Attachments
    • raghu  char
      raghu char
      2014-01-10

      Mario,

      the bug is fixed!!, all OK!
      I notice from your link that most of the files were dated the same as i
      had, except for 1 or 2, I have not windiff'ed the files to find out
      what was wrong.

      with the "old files" when I tried your syntax(and a few others) in
      emacs(imaxima), Xmaxima , wxMaxima

      the error i get is :

      Maxima encountered a Lisp error:

      Error in PROGN [or a callee]: Caught fatal error [memory may be damaged]

      Automatically continuing.
      To enable the Lisp debugger set debugger-hook to nil.

      I have no knowlwdge of LISP.

      Thanx again !
      raghu

      On Fri, 10 Jan 2014 04:13:11 +0530, Mario Rodriguez Riotorto
      riotorto@users.sf.net wrote:

      raghu,

      Your syntax is not correct for draw2d. Try the following:

      draw2d(explicit(sin(x), x, 0, 2*%pi)) $

      Have you tried other interfaces, like xmaxima, wxmaxima, or command
      line?. I see you are working with emacs, and >we should discard problems
      with the interfaces.

      You can download the latest version of draw from the repository:

      https://sourceforge.net/p/maxima/code/ci/master/tree/share/draw

      --
      Mario

      [bugs:#2672] draw functions on 5.31.2 broken

      Status: open
      Created: Wed Jan 08, 2014 06:30 AM UTC by raghu char
      Last Updated: Wed Jan 08, 2014 09:38 PM UTC
      Owner: nobody

      Tried drawdf from: http://www.netris.org/~mhw/maxima/drawdf-demo.html
      I have attached the screen shot of the error reported, with debug_info()
      captured
      I have windows 7 home premium
      thanx

      raghu

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/maxima/bugs/2672/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      --
      Regards raghu

       

      Related

      Bugs: #2672

      Attachments
    • status: open --> closed